# Tagging Stories

Stories can be tagged to help your organize your library. These tags don't
change anything about your stories when they're published[^story-formats].
They're only visible in Twine itself.

A tag always has a name, but it can also have a color if you like from a set of
predetermined ones. Tag colors are only used to help distinguish tags from each
other visually. It's not possible to create custom tag colors, and a particular
tag can only have one color. That is, if you put a red `my-tag` tag on a story,
you can't make that tag be green on a different story.

Another limitation of tags is that their names are not allowed to contain
spaces. If you try to enter a space for a tag name, then Twine will convert it
to a hyphen for you (i.e. `my tag` becomes `my-tag`).

When a tag is added to your story, it will displayed on the story card. It looks
like a small sticker.

Once tags are added to your stories, you can [filter the Story Library
screen](viewing.md) so that only stories with certain tags are visible.

## Adding a Tag

Select a story, then choose _Tag_ from the _Story_ top toolbar tab. You can
either use an existing tag or create a new one.

## Removing a Tag

Select the tag sticker that's on a story card, then choose _Remove_.

## Renaming a Tag

Choose _Story Tags_ from the _Library_ top toolbar tab. This will open a dialog
showing all tags used in your library. Use the _Rename_ button next to a tag to
change it. This will affect all stories in your library with the tag.

## Changing a Tag's Color

Select a tag sticker on a story card, then choose the color name from the menu
that appears. This will change the color of this tag on all stories in your
library. You can also change it using the Story Tags dialog as explained in the
Renaming a Tag section above.

[^story-formats]: Story tags are available to story formats, so it's possible
    that one might change its behavior based on tags applied to stories. But
    this is discouraged so that authors can freely use tags as they like.